slepc-3.21.1 2024-04-26
Report Typos and Errors

# STSetShift

Sets the shift associated with the spectral transformation.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetShift(ST st,PetscScalar shift)

Collective

### Input Parameters

| st | - the spectral transformation context
| shift | - the value of the shift

### Notes

In some spectral transformations, changing the shift may have associated a lot of work, for example recomputing a factorization.

This function is normally not directly called by users, since the shift is indirectly set by EPSSetTarget().

### See Also

EPSSetTarget(), STGetShift(), STSetDefaultShift()

### Level

intermediate

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages